# Uses of Class
javax.sound.sampled.AudioFileFormat

Packages that use AudioFileFormat
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.
javax.sound.sampled.spi
Supplies abstract classes for service providers to subclass when offering new audio devices, sound file readers and writers, or audio format converters.

## Uses of AudioFileFormat in javax.sound.sampled

Methods in javax.sound.sampled that return AudioFileFormat
Modifier and Type
Method
Description
`static AudioFileFormat`
AudioSystem.`getAudioFileFormat(File file)`
Obtains the audio file format of the specified `File`.
`static AudioFileFormat`
AudioSystem.`getAudioFileFormat(InputStream stream)`
Obtains the audio file format of the provided input stream.
`static AudioFileFormat`
AudioSystem.`getAudioFileFormat(URL url)`
Obtains the audio file format of the specified `URL`.

## Uses of AudioFileFormat in javax.sound.sampled.spi

Methods in javax.sound.sampled.spi that return AudioFileFormat
Modifier and Type
Method
Description
`abstract AudioFileFormat`
AudioFileReader.`getAudioFileFormat(File file)`
Obtains the audio file format of the `File` provided.
`abstract AudioFileFormat`
AudioFileReader.`getAudioFileFormat(InputStream stream)`
Obtains the audio file format of the input stream provided.
`abstract AudioFileFormat`
AudioFileReader.`getAudioFileFormat(URL url)`
Obtains the audio file format of the `URL` provided.